GNU bug report logs - #68571
[PATCH 0/2] Update Emacs to 29.2

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Keywords: patch; dated Thu, 18 Jan 2024 19:53:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 68571 <at> debbugs.gnu.org:


Received: (at 68571) by debbugs.gnu.org; 21 Jan 2024 09:12:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 21 04:12:49 2024
Received: from localhost ([127.0.0.1]:36589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rRTsn-0000EH-AV
	for submit <at> debbugs.gnu.org; Sun, 21 Jan 2024 04:12:49 -0500
Received: from mail-ej1-x644.google.com ([2a00:1450:4864:20::644]:49472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>)
 id 1rRTsi-0000Dy-K4; Sun, 21 Jan 2024 04:12:48 -0500
Received: by mail-ej1-x644.google.com with SMTP id
 a640c23a62f3a-a26f73732c5so226564866b.3; 
 Sun, 21 Jan 2024 01:12:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1705828355; x=1706433155; darn=debbugs.gnu.org;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:from:to:cc:subject
 :date:message-id:reply-to;
 bh=e0malKquOBmGCNUxH2nghfortXlBzBv8b4N4HJmqvp0=;
 b=iEYpzGUGOAPG28FdG649ryXF3BaR5EynhuFqye7Lpv/F4FmdcsBaedj3HoZAKuzSmv
 K8iGqnOHfwh+vKVLqh2aX4Nudtt46mc60ZbQaHtYLE5+Lkbx/FKLN/lGvBoS6gugyVND
 duz2y1jCmsnfi6JyrIiuNHsRUg3fIWBBFqvI7gG4IupwmjhFxyRT9dXOuc9JdxlCzAy+
 JIOdlAeiOajrSpXs/9GBoLQvWri3wgneOP1YaQKhhnj1DwVlmLlXoT8Ub/crnVVl0vrf
 4H7OfD+VKozHSSfAYQUBhdM0qUAE1kd5JDGnFHbIGvl8m5eBwnDJ03dhVd8TxqHTD4Fs
 GPSQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1705828355; x=1706433155;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=e0malKquOBmGCNUxH2nghfortXlBzBv8b4N4HJmqvp0=;
 b=ergYNsFvudbf5Sh4Xd5HCC0fmgUuMA/OSxOkyQaf2dOAfviOfjht4o025H1x1tmuMa
 pcVTLzZsNuPMFsGEzYAlQA851gkN/MJmnXKNI05CV4DDkVgH2zpBcQjR9b1hOsR5t3Ok
 ZCdjZuc0yr5klHgPwDdcwIcPJI//jBXObi/AwaFcEkkba7Z9Z70dYV32CnRVsKpd9PCD
 NUrOdxL0xEuPbc77gc/5273y0xFdSqOExY6awDzyBolAv/cWijwH1tQNK91e3pSDSSiv
 zJN2i0f+bXkhTVVTGzUKpcZQHMhZZtLbiXLON59nPgOAD9UU7yuoJSwyWaerEgXDxaDB
 D6Kg==
X-Gm-Message-State: AOJu0YxaEeVO2wXIw0+LfnRT7GLLDyx6GgJIc6Z+ZUni4dymvPmCfZ1u
 PfdJDNJFk6wPXfX3UHgiQCLWdf9QUGR+o3XO9BVl2UDb+8f8Ji+e
X-Google-Smtp-Source: AGHT+IGspRrdlGishXrkNWw7BpYhRpezmHOOlvHZRl1qPIN0MLYTckburmyDgN9xpDWscMEa/+TB8A==
X-Received: by 2002:a17:907:2916:b0:a29:33eb:bb50 with SMTP id
 eq22-20020a170907291600b00a2933ebbb50mr990288ejc.25.1705828355250; 
 Sun, 21 Jan 2024 01:12:35 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 f3-20020a170906048300b00a2a0212cfe1sm12097674eja.50.2024.01.21.01.12.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 21 Jan 2024 01:12:34 -0800 (PST)
Message-ID: <3ebf126c10dd55aa699f4411b582298f3185ae2a.camel@HIDDEN>
Subject: Re: [bug#68571] [PATCH 0/2] Update Emacs to 29.2
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Sun, 21 Jan 2024 10:12:32 +0100
In-Reply-To: <91c1e2ae301bd232e64ca927e68af0c14a48c562.camel@HIDDEN>
References: <cover.1705607189.git.liliana.prikler@HIDDEN>
 <87h6j7b89n.fsf@HIDDEN>
 <91c1e2ae301bd232e64ca927e68af0c14a48c562.camel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.4 
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68571
Cc: control <at> debbugs.gnu.org, cox.katherine.e+guix@HIDDEN,
 68571 <at> debbugs.gnu.org, andrew@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

reopen 68571
thanks

Am Sonntag, dem 21.01.2024 um 09:38 +0100 schrieb Liliana Marie
Prikler:
> Thanks, pushed.
And unpushed because of too many rebuilds.

I'll push it to emacs-team separately, feel free to cherry-pick.




Information forwarded to guix-patches@HIDDEN:
bug#68571; Package guix-patches. Full text available.

Message received at 68571-done <at> debbugs.gnu.org:


Received: (at 68571-done) by debbugs.gnu.org; 21 Jan 2024 08:39:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 21 03:39:14 2024
Received: from localhost ([127.0.0.1]:36548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rRTMH-0007lo-OR
	for submit <at> debbugs.gnu.org; Sun, 21 Jan 2024 03:39:14 -0500
Received: from mail-ej1-x642.google.com ([2a00:1450:4864:20::642]:56437)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1rRTME-0007lY-Bd
 for 68571-done <at> debbugs.gnu.org; Sun, 21 Jan 2024 03:39:12 -0500
Received: by mail-ej1-x642.google.com with SMTP id
 a640c23a62f3a-a2d348d213dso194147966b.0
 for <68571-done <at> debbugs.gnu.org>; Sun, 21 Jan 2024 00:39:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1705826341; x=1706431141; darn=debbugs.gnu.org;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:from:to:cc:subject
 :date:message-id:reply-to;
 bh=kQtg/OdA+OmUab5wwCjLdybXEwQi4nbClHfs63O11CU=;
 b=FRQfHfnd7OTrVO9bvGKoMVDAaLVYlG4znRhLYMsiigOk/Yfw3JhcXUjHVFRMCZsfXj
 uvMHqH2Cm+D8Obr196CxWvNOGBc/NFDGVLJ/5rpnev1nelz3QJlTUq2PFGtWkXAd/EZ/
 2ixF3KpzC2gOz4SnRFDRvTHKbTuO6E2WPbutffm/pZz6z6bLCqj/EO+4MaTY3+LYfNe9
 mCbgzwxFfI/MjbSWFN9Rq1jHin9gCbMvAcJaNRSFv7/GNyebPd54sBy0Y/r0CKOL+CEn
 6byd6WKAPOleTXwKuByDdw+4Qubl6k1ouDFMy0QHye6UYMjIMZ/gq51spB3bmOzDl6TQ
 uIVw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1705826341; x=1706431141;
 h=mime-version:user-agent:content-transfer-encoding:references
 :in-reply-to:date:cc:to:from:subject:message-id:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=kQtg/OdA+OmUab5wwCjLdybXEwQi4nbClHfs63O11CU=;
 b=OX4ybKeQUczkhZzn4sxy77ORYNW6aw/DcCpWUhaTQdI5JvVrkqU213nUKZFL9Q/6Zv
 sUikjdqOF9TsNSIcoBQh2JwAZWELr5BnXfj2hF74kNcNcHswwJHfJ4IWabAOgROVCAxB
 UNwSXqprstyHob3We8Gd0kfpy8sEka12mnRigvkImWjFITvUvbmxry2cDFFtbpJdma7r
 9LgKcsfepD5DrJVMchxZtDVqWArKbtVNhgSWfPCoIKkLOdGAUCZ16rKduagFBmNCFlsF
 aOBG4A00VNTZhzuHRZ8nJ9WArThqveYhqIE2P/QU7S22SCUmZVwuiX5UvCMIQoaowE9O
 Zm5A==
X-Gm-Message-State: AOJu0YziOyhgn9uzTtv1LjlNoalp6TziD9ObQWRknRyvoikx/7P/tqOm
 nAZjuVi0F5bm0uV2PZuk1Ye7cWEbsso1QHfI/L0Dtsolf2+r92dpOQqOdBD0j3o=
X-Google-Smtp-Source: AGHT+IEnEHOb8hH+51GJFE6RHTJyzx59BAceqDmW2lw2eDrVO6/+8e5YODKq1fGMOC5bufACL8V/mw==
X-Received: by 2002:a17:906:a10e:b0:a2c:e804:e2ec with SMTP id
 t14-20020a170906a10e00b00a2ce804e2ecmr1076540ejy.51.1705826340637; 
 Sun, 21 Jan 2024 00:39:00 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 tx12-20020a1709078e8c00b00a3006857c55sm711549ejc.130.2024.01.21.00.38.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 21 Jan 2024 00:39:00 -0800 (PST)
Message-ID: <91c1e2ae301bd232e64ca927e68af0c14a48c562.camel@HIDDEN>
Subject: Re: [bug#68571] [PATCH 0/2] Update Emacs to 29.2
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Sun, 21 Jan 2024 09:38:59 +0100
In-Reply-To: <87h6j7b89n.fsf@HIDDEN>
References: <cover.1705607189.git.liliana.prikler@HIDDEN>
 <87h6j7b89n.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
User-Agent: Evolution 3.46.4 
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68571-done
Cc: cox.katherine.e+guix@HIDDEN, 68571-done <at> debbugs.gnu.org, andrew@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Samstag, dem 20.01.2024 um 23:49 -0500 schrieb Maxim Cournoyer:
> Hello,
>=20
> Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:
>=20
> > Hi Guix,
> >=20
> > this series updates emacs to 29.2.=C2=A0 Given that it's a minor
> > release, it should be fine on master once the the substitutes have
> > built.=C2=A0 Anyhow, it is currently based on master, because the
> > ongoing work on emacs-team is=E2=80=A6 ongoing, but in theory we could =
do
> > the good old mergeroo.
> >=20
> > WDYT?
> >=20
> > Liliana Marie Prikler (2):
> > =C2=A0 gnu: emacs-minimal: Set upstream-name to =E2=80=9Cemacs=E2=80=9D=
.
> > =C2=A0 gnu: emacs-minimal: Update to 29.2.
> >=20
>=20
> LGTM!=C2=A0 Thank you.
Thanks, pushed.

Cheers

(On that note, should I include the Reviewed-by: line next time?)




Notification sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 68571 <at> debbugs.gnu.org:


Received: (at 68571) by debbugs.gnu.org; 21 Jan 2024 04:49:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 20 23:49:58 2024
Received: from localhost ([127.0.0.1]:36311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rRPmP-0006vK-0W
	for submit <at> debbugs.gnu.org; Sat, 20 Jan 2024 23:49:58 -0500
Received: from mail-qk1-x733.google.com ([2607:f8b0:4864:20::733]:48131)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1rRPmJ-0006v3-Lb
 for 68571 <at> debbugs.gnu.org; Sat, 20 Jan 2024 23:49:56 -0500
Received: by mail-qk1-x733.google.com with SMTP id
 af79cd13be357-7833a51a1aaso149391185a.0
 for <68571 <at> debbugs.gnu.org>; Sat, 20 Jan 2024 20:49:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1705812583; x=1706417383; darn=debbugs.gnu.org;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=9FsNBYarCipm5phQh7m/blSzCz3rxgjawxAPxyFoYoU=;
 b=itgsJiOHyNoFDI5r+BSHACJM/i5UppRBBTS/7TPoMRNqCKxetbn5Jmk3esuStkPSy3
 CjrGAGSh56EobfxFEGzX1g25BTmD/fZwygWQy0lyOUEWECqC29quIf9FcrYEleNlNFpr
 M9DBBokVj85DKqKFh2mi6pZnk8ot5/pDNfVQ6SMFMWUzzcK/sizQW1MX7T8VB4BhLxTb
 t3uHyuTkbnYxJiJoYPQ75LQd6BCPbNuvkMzfcgQL/LjMtYgRV15hNRybqfqPv1Pmthgt
 e0qkoQAN1zZ0THn4if6c56fIV9l+plAG/pc5aFqkRzB+X+Yu+4HzOHrAYGuQyfYluEY2
 kAsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1705812583; x=1706417383;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=9FsNBYarCipm5phQh7m/blSzCz3rxgjawxAPxyFoYoU=;
 b=qnYhfAwJJ1iTbXpCl9Q6vlBtD42TdOVC8oIqHlm79gsclmL5NPZYYIwUWPpGnSmlo3
 cB9nv88pEuvpoud6ERHHKXFr+VnYxnytbNUutHk5vpcvFbk4caT20zMfjYRMSw/kQCKw
 gsfeTMfIak4rEZnt7F7Oj6b+1jwy6mNP63nMFnq+/BwCRqFENaofsBrnZ0L13g+jGJaP
 yzPODbTKlEy5McoZqYlySspAfBajE0xj4zGlpgAfwe8OXXsCz9ZKW4D2Xl4BexuHzlY+
 HLnIIn2AgbRM6RyIjZa37VpHQis8KXPtI6RgfEin2rKvp9DRq3deiAtQRtufvEMHKQzE
 G8ew==
X-Gm-Message-State: AOJu0Yyzzpp0Rfek0NSqPesgdu6F62qr9nU2YJeDJMsRnit/M6yDbE+A
 d4EH5ldNuiqIoeUzOykOQ/9YA3qXpGjIQUTYZYLexBSuVeMrVV7ynbiaOYF63uU=
X-Google-Smtp-Source: AGHT+IGLsZAU+4mtOAcr/RHtjIdCuk/0TQEakkeZ7tJE/oiFJYoprpki4N6mfMRZ1W+hbfXk56CRKQ==
X-Received: by 2002:ae9:c117:0:b0:783:3e95:47d9 with SMTP id
 z23-20020ae9c117000000b007833e9547d9mr2236737qki.68.1705812582720; 
 Sat, 20 Jan 2024 20:49:42 -0800 (PST)
Received: from hurd (dsl-10-128-232.b2b2c.ca. [72.10.128.232])
 by smtp.gmail.com with ESMTPSA id
 g18-20020a05620a13d200b0078395da3735sm684556qkl.6.2024.01.20.20.49.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 20 Jan 2024 20:49:42 -0800 (PST)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [bug#68571] [PATCH 0/2] Update Emacs to 29.2
In-Reply-To: <cover.1705607189.git.liliana.prikler@HIDDEN> (Liliana Marie
 Prikler's message of "Thu, 18 Jan 2024 20:46:29 +0100")
References: <cover.1705607189.git.liliana.prikler@HIDDEN>
Date: Sat, 20 Jan 2024 23:49:40 -0500
Message-ID: <87h6j7b89n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68571
Cc: cox.katherine.e+guix@HIDDEN, 68571 <at> debbugs.gnu.org, andrew@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> Hi Guix,
>
> this series updates emacs to 29.2.  Given that it's a minor release, it
> should be fine on master once the the substitutes have built.  Anyhow,
> it is currently based on master, because the ongoing work on emacs-team
> is=E2=80=A6 ongoing, but in theory we could do the good old mergeroo.
>
> WDYT?
>
> Liliana Marie Prikler (2):
>   gnu: emacs-minimal: Set upstream-name to =E2=80=9Cemacs=E2=80=9D.
>   gnu: emacs-minimal: Update to 29.2.
>

LGTM!  Thank you.

Reviewed-by: Maxim Cournoyer <maxim.cournoyer@gmail>

--=20
Maxim




Information forwarded to guix-patches@HIDDEN:
bug#68571; Package guix-patches. Full text available.

Message received at 68571 <at> debbugs.gnu.org:


Received: (at 68571) by debbugs.gnu.org; 18 Jan 2024 19:56:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 14:56:43 2024
Received: from localhost ([127.0.0.1]:56724 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rQYVH-0005m4-GV
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 14:56:43 -0500
Received: from mail-lj1-x235.google.com ([2a00:1450:4864:20::235]:53516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1rQYVC-0005lU-W0
 for 68571 <at> debbugs.gnu.org; Thu, 18 Jan 2024 14:56:39 -0500
Received: by mail-lj1-x235.google.com with SMTP id
 38308e7fff4ca-2cd64022164so653681fa.3
 for <68571 <at> debbugs.gnu.org>; Thu, 18 Jan 2024 11:56:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1705607791; x=1706212591; darn=debbugs.gnu.org;
 h=mime-version:to:subject:date:from:references:in-reply-to:message-id
 :from:to:cc:subject:date:message-id:reply-to;
 bh=bKtwirIGody1FPk5lkM1m9Ov0s+m19xrz590iEXI2yA=;
 b=OoXNGsNnnrKdSuEUiCG53ZB05Q1LBXo2KM1LBVutbQwdDGj3h5sijVEUtHLRga9qvi
 /D5TsnNf329wOkSA4UEQ+i0utUyG89wIW8kDTi6UDD4/XsOOSnvQw4PnZuDhEfGg9p8f
 pQeqDXw2IRflwwxjBztEGTPLY+/Yv5gzcvB+FZMKgb/MxTvBxftKuhl+aZP3WTxdtf2V
 H8LN5SX5Xeuu+VBq4ZeiY8fn4BIP4MJasQh6DxSd+CPScYOvmqsLzeF5DBVHtIkR60wQ
 wTpIhXf4M98ng61mJtk5qLyZcemXofNXiZ5zoFxoEhERembuqLjEnA2myScoCmZbElhz
 0Gug==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1705607791; x=1706212591;
 h=mime-version:to:subject:date:from:references:in-reply-to:message-id
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=bKtwirIGody1FPk5lkM1m9Ov0s+m19xrz590iEXI2yA=;
 b=oeD3kiZ8r1fkf0dwTk611+P4pNlR4Jziv8+koSuJCh6KPzBvYbXaVtFYBs6jDabjW8
 GEQiwDw8Jle52L4dIqzrOQqvYqx03i1C9iZ9LES+nexnELlFpJJrzaLcsgyNnplJiPvw
 eWPBKhVVmxdpnv3Lcz6uEe7JDKxmOJr1A02N5aP8DuYK+aqHu5BzparNJ/N46PDdTNNV
 A7qpvH/sUA36BmG60e3XIfbkT3TWJLuVybXScayrk1TL/E22K8m9KlykD0CbCVQXvU8M
 /8ADF746wMde9AyTkSGJ0DI7CAu0zbM0LmycI67fbQ2fJrmlciCfJ3PXB+TNCiDjJncH
 sDrg==
X-Gm-Message-State: AOJu0YxtjINIRq2K4/gO+tQshDXk0pp2V6/TKn/jN2GVOzf83FGVBM70
 QvaVWHBqUfHFamZJS8Jyha6VQUfaq1dg19GZwEMA/rsfP1cMGyE+52xDgubF
X-Google-Smtp-Source: AGHT+IFxcKhMxO+5gvRR6hxWMECHRppnOFIhecyOrmE9RG7Lkt44910IPwrT6NJF9Ez0Wza2ZtZ87A==
X-Received: by 2002:a19:9107:0:b0:50e:ebf5:c5dd with SMTP id
 t7-20020a199107000000b0050eebf5c5ddmr91676lfd.60.1705607790974; 
 Thu, 18 Jan 2024 11:56:30 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 x27-20020a170906299b00b00a2c0fec4240sm9502152eje.158.2024.01.18.11.56.30
 for <68571 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 18 Jan 2024 11:56:30 -0800 (PST)
Message-ID: <177bcff65d43df4d86d0c85cefb6a31f750ed780.1705607189.git.liliana.prikler@HIDDEN>
In-Reply-To: <cover.1705607189.git.liliana.prikler@HIDDEN>
References: <cover.1705607189.git.liliana.prikler@HIDDEN>
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Thu, 18 Jan 2024 20:45:30 +0100
Subject: [PATCH 2/2] gnu: emacs-minimal: Update to 29.2.
X-Debbugs-Cc: andrew@HIDDEN, cox.katherine.e+guix@HIDDEN,
 liliana.prikler@HIDDEN
to: 68571 <at> debbugs.gnu.org
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68571
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs-minimal): Update to 29.2.
---
 gnu/packages/emacs.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index 81f5c1fad5..b9ca59b6b5 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -99,14 +99,14 @@ (define (%emacs-modules build-system)
 (define-public emacs-minimal
   (package
     (name "emacs-minimal")
-    (version "29.1")
+    (version "29.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnu/emacs/emacs-"
                                   version ".tar.xz"))
               (sha256
                (base32
-                "009f7q08vg919b90k2jrsznq73s3n224avz80dd2y7i3rjjq3y6j"))
+                "1p3h4sz8da8vhix5140g2qkdy8mz11d7mmvsym5vy847k1428gbx"))
               (patches (search-patches "emacs-exec-path.patch"
                                        "emacs-fix-scheme-indent-function.patch"
                                        "emacs-native-comp-driver-options.patch"
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#68571; Package guix-patches. Full text available.

Message received at 68571 <at> debbugs.gnu.org:


Received: (at 68571) by debbugs.gnu.org; 18 Jan 2024 19:56:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 14:56:40 2024
Received: from localhost ([127.0.0.1]:56722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rQYVE-0005lu-6W
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 14:56:40 -0500
Received: from mail-wm1-x341.google.com ([2a00:1450:4864:20::341]:59486)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1rQYVB-0005lS-SG
 for 68571 <at> debbugs.gnu.org; Thu, 18 Jan 2024 14:56:38 -0500
Received: by mail-wm1-x341.google.com with SMTP id
 5b1f17b1804b1-40e884ac5c8so128485e9.2
 for <68571 <at> debbugs.gnu.org>; Thu, 18 Jan 2024 11:56:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1705607790; x=1706212590; darn=debbugs.gnu.org;
 h=to:content-transfer-encoding:mime-version:subject:date:from
 :references:in-reply-to:message-id:from:to:cc:subject:date
 :message-id:reply-to;
 bh=1sutRo3eSpBqAaLwZmxvAahAziM5T3eBUgw2QV1ki1c=;
 b=CxF9YSO5TwOfYCV8XwJUGi0jMFCs+MHEsAKg2bW9wGzskbo6U3xgl2VIPDkBsaX/a8
 Z8A3fIC1SUJnE+X2rcKtizekUE7HbksBpcOerfl5sXvdMtC+MSe6a1ulJW31zYrE7dz7
 lG7l9HqKHkD9QmvaNVc0RIA9Nm2nvcqQe/U1B02yC2leS+8wrmBAPIz7c2MMFRKOWQLB
 D1funtDBEP06KsFRh9fM/7XVRXx82LP7koRa41wbR5jy7YQGbxJeXuf6SbFH1V2I3OoM
 W3BJLurqdKceylfg6vkWr02T/lYVQt+ZXFjP2lvO/h67MzocNQ88ScWx2CYOSrTfBJRO
 Pqyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1705607790; x=1706212590;
 h=to:content-transfer-encoding:mime-version:subject:date:from
 :references:in-reply-to:message-id:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=1sutRo3eSpBqAaLwZmxvAahAziM5T3eBUgw2QV1ki1c=;
 b=xP7nu7kAKIbvrUQXDqIAbCmspoPJbgJ9J4qpN5mVrL4Ai5lTNJGEsUImKV0DSq3b1E
 1DwNeBiZTD/eAakrRmiqBmidtasRbOg1+KwIQguKOQNi7QiIr2oquJv0ePb0PuoP8rQT
 TpmNPgEznfspdOIKgGYMe83AopK3vRqOax1/pLYnRQpKMXtiEN8+qGru46/3uyN4MpLC
 bXRCl68G+yDVOk8scZWfLTWMpcFMnX2BoFH9hjxXpI/EWF+pz5Lc6wyly4osvCLVtaT9
 VZH/Rtm8SjA+3qs7up+A0pZ65UIWmxdstF3y6Vmfn6riv1hKu3xbUo3K6DjXNnGvhsEs
 KnUw==
X-Gm-Message-State: AOJu0YzshSjL6bmK+xCX6tikUmxGssW/R9H6qHiN/nQwllpWE/91M4y9
 55+GE2x3M8O3uLEVC2o+q+zlDhwGiNt9TdMd6YE7kGqGIH4mgq1rdP9j3Ya2ng0=
X-Google-Smtp-Source: AGHT+IHDYlPJqUPX0fTl8gvMsNaqJB+7Rcbp+oGwrSe8Ami5J6J7ZsvUIT8vX6+gRYztbDjsvsJwHQ==
X-Received: by 2002:a05:600c:1f92:b0:40d:8658:8c0d with SMTP id
 je18-20020a05600c1f9200b0040d86588c0dmr395147wmb.3.1705607790076; 
 Thu, 18 Jan 2024 11:56:30 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 x27-20020a170906299b00b00a2c0fec4240sm9502152eje.158.2024.01.18.11.56.28
 for <68571 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 18 Jan 2024 11:56:29 -0800 (PST)
Message-ID: <864d99f87907cdc34e11eaf727052ac6b8d9de4b.1705607189.git.liliana.prikler@HIDDEN>
In-Reply-To: <cover.1705607189.git.liliana.prikler@HIDDEN>
References: <cover.1705607189.git.liliana.prikler@HIDDEN>
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Thu, 18 Jan 2024 20:44:27 +0100
Subject: [PATCH 1/2] =?UTF-8?q?gnu:=20emacs-minimal:=20Set=20upstream-name?=
 =?UTF-8?q?=20to=20=E2=80=9Cemacs=E2=80=9D.?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Debbugs-Cc: andrew@HIDDEN, cox.katherine.e+guix@HIDDEN,
 liliana.prikler@HIDDEN
to: 68571 <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 68571
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/emacs.scm (emacs-minimal)[properties]: Add ‘upstream-name’.
---
 gnu/packages/emacs.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index b9d9e2b891..81f5c1fad5 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -281,7 +281,8 @@ (define-public emacs-minimal
            ;; Most variants support tree-sitter, so let's include it here.
            (search-path-specification
             (variable "TREE_SITTER_GRAMMAR_PATH")
-            (files '("lib/tree-sitter")))))))
+            (files '("lib/tree-sitter")))))
+    (properties `((upstream-name . "emacs")))))
 
 (define-public emacs-no-x
   (package/inherit emacs-minimal
-- 
2.41.0





Information forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#68571; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2024 19:52:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 18 14:52:23 2024
Received: from localhost ([127.0.0.1]:56701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rQYR5-0005di-7D
	for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 14:52:23 -0500
Received: from lists.gnu.org ([2001:470:142::17]:38396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1rQYR4-0005dU-2e
 for submit <at> debbugs.gnu.org; Thu, 18 Jan 2024 14:52:22 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1rQYQw-0001MK-IZ
 for guix-patches@HIDDEN; Thu, 18 Jan 2024 14:52:14 -0500
Received: from mail-ej1-x62e.google.com ([2a00:1450:4864:20::62e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1rQYQv-0000vw-4V
 for guix-patches@HIDDEN; Thu, 18 Jan 2024 14:52:14 -0500
Received: by mail-ej1-x62e.google.com with SMTP id
 a640c23a62f3a-a2ac304e526so377766b.0
 for <guix-patches@HIDDEN>; Thu, 18 Jan 2024 11:52:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1705607531; x=1706212331; darn=gnu.org;
 h=to:content-transfer-encoding:mime-version:subject:date:from
 :message-id:from:to:cc:subject:date:message-id:reply-to;
 bh=+6ECSXlU2hTRMLsk9bzUmRFThJIuYBitHNBzpFrhS2I=;
 b=e3sbaUkiJZSXfVwf5hSKHhNz+tg/ONIVrakYngAouRp2b8wk2xsn/b1+9fAkEH0a28
 pU8x2ghpvlDqZw/eAxP5pKrngZFKuQy6A7edpU+4gDRYDC1OAkPLgeVxGZFq6CYJC1zH
 jriWmgV0B9X40IGohkAuW1PKgjhROwaqdteSx4zWXuma/ZIrclbsvk680fXuMA/AJw7W
 0HK63Tzrjk5liaxwt1FYQhIQwP67/70ABgTbw3LgF82rUa0KlP6EeJC0hHu/ENJFoAS7
 gJ5IbDwk9hMuXBcQA4hr8j6XBqipunr7hr/g1fpENn5cfRVaJLqAw2eTe7XhsRL20tEE
 l2lA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1705607531; x=1706212331;
 h=to:content-transfer-encoding:mime-version:subject:date:from
 :message-id:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=+6ECSXlU2hTRMLsk9bzUmRFThJIuYBitHNBzpFrhS2I=;
 b=kQf6WvLvLcXfowKHx8be56vfnmXDsEBx85qPnYpWUmNpb1telpz105p9lPmNN93Ff4
 ifnZr7p/G117rdOsfSKWmyXwdXR3E+bJ7mBBEabiB0PgilyE7TxWChBlsXw1K2urTj6h
 HLtHxvEsp1n6+CRNXoi6jmPwHg/KbfOuie6/uol1u29SPGd/MLYwo/6adt5BHVxYPsgc
 l1EH1gbdi4HHnT13Khfnmv1JW5YpTxeSv+flFnpYAXA5dfoeGOJntc3th4U+adrxUdk2
 IWZR2FZH27XsJxibQpOjpvIcMVBsFPSQWtTc6KlGtfc+yslLaYCm3mWcVmJeKdcDy4aE
 m9Dg==
X-Gm-Message-State: AOJu0YydPU04lXFWO/hjAG+p/72zgyvZCJtGbJvOPMI2SgB/zCfwln5X
 Ypt6jmej5Bl8Gb5t2lkE2oqtZ/k/e8TkjFE0S9JcgApry/93aPKmwwoHcl2L
X-Google-Smtp-Source: AGHT+IETLiJrU6HbyPzLYV4lKuUk+B2/JvS27euLfPusJpJDAQo5bgWmPYQVB3AqA3rdO+Ny3L0gaw==
X-Received: by 2002:a17:906:884:b0:a27:e6c8:7f19 with SMTP id
 n4-20020a170906088400b00a27e6c87f19mr720156eje.50.1705607531127; 
 Thu, 18 Jan 2024 11:52:11 -0800 (PST)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 gc9-20020a170906c8c900b00a26f1f36708sm9443033ejb.78.2024.01.18.11.52.10
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 18 Jan 2024 11:52:10 -0800 (PST)
Message-ID: <cover.1705607189.git.liliana.prikler@HIDDEN>
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Thu, 18 Jan 2024 20:46:29 +0100
Subject: [PATCH 0/2] Update Emacs to 29.2
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Debbugs-Cc: andrew@HIDDEN, cox.katherine.e+guix@HIDDEN,
 liliana.prikler@HIDDEN
to: guix-patches@HIDDEN
Received-SPF: pass client-ip=2a00:1450:4864:20::62e;
 envelope-from=liliana.prikler@HIDDEN; helo=mail-ej1-x62e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Guix,

this series updates emacs to 29.2.  Given that it's a minor release, it
should be fine on master once the the substitutes have built.  Anyhow,
it is currently based on master, because the ongoing work on emacs-team
is… ongoing, but in theory we could do the good old mergeroo.

WDYT?

Liliana Marie Prikler (2):
  gnu: emacs-minimal: Set upstream-name to “emacs”.
  gnu: emacs-minimal: Update to 29.2.

 gnu/packages/emacs.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)


base-commit: bcc9cd1aaeb53c323b199623de4fafe8594d1a95
-- 
2.41.0





Acknowledgement sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN. Full text available.
Report forwarded to andrew@HIDDEN, cox.katherine.e+guix@HIDDEN, liliana.prikler@HIDDEN, guix-patches@HIDDEN:
bug#68571; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 21 Jan 2024 09:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.